﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;
using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.Windows.Forms;

namespace TreeCustom
{
    public partial class Form1 : MetroForm
    {
        public Form1()
        {
            InitializeComponent();
            this.treeViewAdv1.Style = TreeStyle.Metro;
        }
        
        GridGroupingControl GridGroup;
        TreeNodeAdv TreeNode;
        int nodenumber = 0;
        private void button2_Click(object sender, EventArgs e)
        {
          
          
        }

        //Used to iterate through all the nodes.
        IEnumerable<TreeNodeAdv> Collect(TreeNodeAdvCollection nodes)
        {
            foreach (TreeNodeAdv node in nodes)
            {
                yield return node;

                foreach (var child in Collect(node.Nodes))
                    yield return child;
            }
        }
        // Create a DataTable. 
        DataTable dt = new DataTable("Table1");
        private void Form1_Load(object sender, EventArgs e)
        {       
            
            // Adding Columns.
            dt.Columns.Add("FirstName"); 
            dt.Columns.Add("LastName");
            dt.Columns.Add("occupation");
            dt.Columns.Add("place");

            // Create a Data Set. 
            DataSet ds = new DataSet();
            ds.Tables.Add(dt); 
            dt.Rows.Add(new string[] { "John", "Tina", "Doctor", "Italy" }); 
            dt.Rows.Add(new string[] { "Mary", "anu", "Teacher", "America" });
            dt.Rows.Add(new string[] { "asha", "roy", "Staff", "London" }); 
            dt.Rows.Add(new string[] { "George", "Gaskin", "Nurse", "germany" }); 
            dt.Rows.Add(new string[] { "sam", "jens", "Engineer", "Russia" }); 
            dt.Rows.Add(new string[] { "Ben", "Geo", "Developer", "India" });                  
     
        }

        private void button1_Click_1(object sender, EventArgs e)
        {
            int i = 0;
            int TotalNodeCount = 2;
            //To add the Parent node
            for (i = 0; i < TotalNodeCount; i++)
            {
                TreeNode = new TreeNodeAdv();
                TreeNode.Text = "node" + nodenumber.ToString();
                nodenumber++;
                this.treeViewAdv1.Nodes.Add(TreeNode);
            }

            //To Add child node
            foreach (TreeNodeAdv node in this.treeViewAdv1.Nodes)
            {
                TreeNode = new TreeNodeAdv();
                TreeNode.Text = "node" + nodenumber.ToString();
                nodenumber++;
                node.Nodes.Add(TreeNode);
            }

            //To add the GridGrouping Control.
            foreach (TreeNodeAdv node in Collect(this.treeViewAdv1.Nodes))
            {
                GridGroup = new GridGroupingControl();

                GridGroup.GridVisualStyles = GridVisualStyles.Metro;
                GridGroup.TopLevelGroupOptions.ShowCaption = false;
                if (node.CustomControl == null)
                {
                    node.CustomControl = GridGroup;
                    GridGroup.DataSource = dt;
                    node.CustomControl.Width = 300;
                    node.Height = 40;
                }
            }
        }
    }
}
